Name: kde-edu-blinken
Summary: Memory Enhancement Game
Group: Graphical desktop/KDE4
Version: 14.12.3
Release: %mkrel 3
License: GPLv2+
URL: https://projects.kde.org/projects/kde/kdeedu/%{name}
Source0: http://download.kde.org/stable/%{version}/src/blinken-%{version}.tar.xz
BuildRequires: kdelibs-devel
Requires: kde-runtime

%description
Blinken is based on an electronic game released in 1978, which challenges
players to remember sequences of increasing length. On the face of the device,
there are 4 different color buttons, each one with their own distinctive sound.
These buttons light up randomly, creating the sequence that the player must then recall. 

%files
%defattr(-,root,root)
%{_kde_bindir}/blinken
%{_kde_datadir}/applications/kde4/blinken.desktop
%{_kde_datadir}/apps/blinken/README.packagers
%{_kde_datadir}/apps/blinken/fonts/steve.ttf
%{_kde_datadir}/apps/blinken/images/blinken.svg
%{_kde_datadir}/apps/blinken/sounds/1.wav
%{_kde_datadir}/apps/blinken/sounds/2.wav
%{_kde_datadir}/apps/blinken/sounds/3.wav
%{_kde_datadir}/apps/blinken/sounds/4.wav
%{_kde_datadir}/apps/blinken/sounds/lose.wav
%{_kde_datadir}/appdata/blinken.appdata.xml
%{_kde_datadir}/config.kcfg/blinken.kcfg
%{_kde_datadir}/doc/HTML/en/blinken/blinken1.png
%{_kde_datadir}/doc/HTML/en/blinken/blinken2.png
%{_kde_datadir}/doc/HTML/en/blinken/blinken_accesskeys.png
%{_kde_datadir}/doc/HTML/en/blinken/blinken_helpbutton.png
%{_kde_datadir}/doc/HTML/en/blinken/blinken_highscoresbutton.png
%{_kde_datadir}/doc/HTML/en/blinken/blinken_nickprompt.png
%{_kde_datadir}/doc/HTML/en/blinken/blinken_quitbutton.png
%{_kde_datadir}/doc/HTML/en/blinken/common
%{_kde_datadir}/doc/HTML/en/blinken/index.cache.bz2
%{_kde_datadir}/doc/HTML/en/blinken/index.docbook
%{_kde_datadir}/icons/hicolor/128x128/apps/blinken.png
%{_kde_datadir}/icons/hicolor/16x16/apps/blinken.png
%{_kde_datadir}/icons/hicolor/22x22/apps/blinken.png
%{_kde_datadir}/icons/hicolor/32x32/apps/blinken.png
%{_kde_datadir}/icons/hicolor/48x48/apps/blinken.png
%{_kde_datadir}/icons/hicolor/64x64/apps/blinken.png
%{_kde_datadir}/icons/hicolor/scalable/apps/blinken.svgz

%prep
%setup -q -n blinken-%version

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install

#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Geography" \
  --remove-category="ComputerScience" \
  --add-category="X-MandrivaLinux-MoreApplications-Education-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop

%clean
rm -fr %buildroot

%changelog
* Tue Jul 21 2015 pinoc <vogtpet at gmail.com> 4.14.3-3pclos2015
- rebuild on 15.04.3

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 14.12.3-2pclos2015
- rebuild on 15.04.0

* Sat Mar 07 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3
